from math import *
from CBD import *

class ExampleCBD(CBD):

  def __init__(self, block_name):
    # Don't forget to call the superclass' constructor!
    CBD.__init__(self, block_name)

    # Blocks can be instantiated and added immediately to the CBD
    self.addBlock(ConstantBlock(block_name="3", value=3.0))
    self.addBlock(ConstantBlock(block_name="20", value=20.0))
    self.addBlock(AdderBlock(block_name="result"))

    # Connections
    self.addConnection("3", "result")
    self.addConnection("20", "result") 

if __name__=="__main__":
  from CBDsimulator import *
  myCBD = ExampleCBD("myCBD")
  num_steps = 10
  simulator = CBDsimulator(myCBD)
  for i in range(num_steps):
      simulator.step()
  myCBD.dump()
  myCBD.dumpSignals()
