from CBDsimulator import *
from ExampleCBD import *

  
class SimulationExperiment:

  def __init__(self):
    self.model     = ExampleCBD("myCBDexample")
    self.simulator = CBDsimulator(self.model)
 
  def run(self, num_steps=1): # one step = {NOW}
    
    for i in range(num_steps):
      self.simulator.step()

  def dumpModel(self):
    self.model.dump()

  def dumpSignals(self):
    self.model.dumpSignals()
  
if __name__=="__main__":

  experiment = SimulationExperiment()
  experiment.dumpModel()
  experiment.run(5)
  experiment.dumpSignals()

